summaryrefslogtreecommitdiff
path: root/src/pmdas/dmcache/Install
diff options
context:
space:
mode:
Diffstat (limited to 'src/pmdas/dmcache/Install')
-rw-r--r--src/pmdas/dmcache/Install35
1 files changed, 35 insertions, 0 deletions
diff --git a/src/pmdas/dmcache/Install b/src/pmdas/dmcache/Install
new file mode 100644
index 0000000..64ef3fa
--- /dev/null
+++ b/src/pmdas/dmcache/Install
@@ -0,0 +1,35 @@
+#! /bin/sh
+#
+# Copyright (c) 2014 Red Hat.
+#
+# This program is free software; you can redistribute it and/or modify it
+# under the terms of the GNU General Public License as published by the
+# Free Software Foundation; either version 2 of the License, or (at your
+# option) any later version.
+#
+# This program is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
+# or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
+# for more details.
+#
+# Install the Device Mapper Cache PMDA
+#
+
+. $PCP_DIR/etc/pcp.env
+. $PCP_SHARE_DIR/lib/pmdaproc.sh
+
+iam=dmcache
+python_opt=true
+daemon_opt=false
+forced_restart=true
+
+which dmsetup >/dev/null 2>&1
+if [ $? -ne 0 ]
+then
+ echo "Device Mapper 'dmsetup' binary not found, cannot proceed"
+ exit 1
+fi
+
+pmdaSetup
+pmdaInstall
+exit 0